#ifndef ADDBTN_H
#define ADDBTN_H

#include <QObject>
#include <QWidget>
#include <QPushButton>
#include <QLabel>
#include <QHBoxLayout>

#include "libukcc_global.h"

#define THEME_QT_SCHEMA  "org.ukui.style"
#define MODE_QT_KEY      "style-name"

class LIBUKCC_EXPORT AddBtn : public QPushButton
{
    Q_OBJECT
public:
    AddBtn(QWidget *parent = nullptr);
    ~AddBtn();

    enum Shape {
        None,
        Top,
        Bottom,
        Box
    };
    Q_ENUM(Shape)
    void setBtnStyle(Shape type);
    void setText(const QString &text);

protected:
    virtual void leaveEvent(QEvent *event);
    virtual void enterEvent(QEvent *event);
    virtual void paintEvent(QPaintEvent *event);

private:
    QHBoxLayout *m_addLyt = nullptr;

    QLabel *m_iconLabel   = nullptr;
    QLabel *m_textLabel   = nullptr;

Q_SIGNALS:
    void enterWidget();
    void leaveWidget();
};

#endif // ADDBTN_H
